<!DOCTYPE html>
<html>
    <head>
      <meta charset="utf-8">
      <meta http-equiv="X-UA-Compatible" content="IE=edge">
      <meta name="viewport" content="width=device-width, initial-scale=1">
      <title>{% block title %}Ristoranti app{% endblock %}</title>
      <!-- Semantic-ui -->
      <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.2.10/semantic.min.css"/>
      <!-- JQuery -->
      <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.0/jquery.min.js"></script>
      {% block stylesheets %}
        <link rel="stylesheet" href="{{asset('css/loginStyle.css')}}" />
      {% endblock %}
    </head>

    <body class="hold-transition login-page">

      <form class="login" action="{{path('fos_user_security_check')}}" method="post">
        <input type="hidden" name="_csrf_token" value="{{ csrf_token }}"/>
        <h2 class="ui center aligned icon header">
          <i class="circular food icon"></i>
        </h2>
        <div class="ui section divider"></div>
        <input type="text" name="_username" placeholder="Username" autofocus/>
        <i class="user icon"></i>
        <input type="password" name="_password" placeholder="Password" />
        <i class="lock icon"></i>
        <div class="ui container fluid">
          <button id="login-button" type="submit" class="fluid ui button">Log in</button>
        </div>
        {% if error %}
        <div class="ui error message">
          <i class="close icon"></i>
          <div class="header">
            Sono stati rilevati alcuni problemi
          </div>
          <ul class="list">
            <li>Credenziali invalide.</li>
            <li>Non hai ancora un account.</li>
          </ul>
        </div>
        {% endif %}
      </form>

      <script src="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.2.10/semantic.min.js"></script>
      {% block javascripts %}
        <script src="{{asset('js/loginScript.js')}}"></script>
        <script src="{{asset('js/generalScript.js')}}"></script>
      {% endblock %}
    </body>

</html>
